﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//gohugoio/hugo/releases/download/v0.74.0/hugo_0.74.0_Windows-32bit.zip'
    url64          = 'https://github.com//gohugoio/hugo/releases/download/v0.74.0/hugo_0.74.0_Windows-64bit.zip'

    checksum       = '6f90bd85cb158cae4a33395b39c4b90d00b5c979101e19a5e27e2bccf9ff62a4'
    checksumType   = 'SHA256'
    checksum64     = '3f77979fe5f0f2c5866b8e2b41903b0134727761b39c622b596ea689d66b6228'
    checksumType64 = 'SHA256'
}

Install-ChocolateyZipPackage @packageArgs
